import { OnChanges, EventEmitter } from '@angular/core';
import { Grid } from '../../../lib/grid';
import { Row } from '../../../lib/data-set/row';
import { DefaultCreateSaveCancel } from '../../../lib/create-save-cancel-default';
export declare class TbodySaveCancelComponent extends DefaultCreateSaveCancel implements OnChanges {
    grid: Grid;
    row: Row;
    editConfirm: EventEmitter<any>;
    editSave: EventEmitter<any>;
    editCancel: EventEmitter<any>;
    cancelButtonContent: string;
    saveButtonContent: string;
    constructor();
    ngOnChanges(): void;
    onSave(event: any): void;
    onCancelEdit(event: any): void;
}
